Package com.io7m.idstore.server.controller.user

# Class IdUCommandContext

java.lang.Object
com.io7m.idstore.server.controller.command_exec.IdCommandContext<IdUResponseType,IdSessionUser>
com.io7m.idstore.server.controller.user.IdUCommandContext

public final class IdUCommandContext extends IdCommandContext<IdUResponseType,IdSessionUser>
The command context for user API commands.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUCommandContext(com.io7m.repetoir.core.RPServiceDirectoryType inServices, UUID inRequestId, IdDatabaseTransactionType inTransaction, IdSessionUser inSession, IdUser inUser, String inRemoteHost, String inRemoteUserAgent)`
  The context for execution of a command (or set of commands in a transaction).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdUser`
  `user()`

  ### Methods inherited from class com.io7m.idstore.server.controller.command_exec.IdCommandContext

  `fail, failDatabase, failExceptional, failFormatted, failMail, failPassword, failProtocol, failSecurity, failValidity, now, remoteHost, remoteUserAgent, requestId, securityCheck, services, session, toString, tracer, transaction`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUCommandContext

    public IdUCommandContext(com.io7m.repetoir.core.RPServiceDirectoryType inServices, UUID inRequestId, IdDatabaseTransactionType inTransaction, IdSessionUser inSession, IdUser inUser, String inRemoteHost, String inRemoteUserAgent)
    The context for execution of a command (or set of commands in a transaction).
    Parameters:
      `inServices` - The service directory
      `inRequestId` - The request ID
      `inTransaction` - The transaction
      `inSession` - The user session
      `inRemoteHost` - The remote remoteHost
      `inRemoteUserAgent` - The remote user agent
      `inUser` - The user

- ## Method Details

  - ### user

    public IdUser user()
    Returns:
      The user executing the command.